{ config, lib, pkgs, modulesPath, ... }:

{
  imports = [  ];

  boot = {
    initrd = {
      availableKernelModules = [ "ata_piix" "uhci_hcd" "virtio_pci" "sr_mod" "virtio_blk" ];
      kernelModules = [ ];
    };
    kernelModules = [ ];
    extraModulePackages = [ ];
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-label/nixos";
      fsType = "ext4";
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-label/swap"; }
  ];

  networking = {
    useDHCP = lib.mkDefault true;
    interfaces = {
      ens3.useDHCP = lib.mkDefault true;
    };
    nameservers = [ "108.61.10.10" ];
  };

  virtualisation.hypervGuest.enable = true;
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
